### Function

# Cogl Object unref

#### Declaration [src]

    void
    cogl_object_unref (
      void* object
    )

#### Description [src]

Drecreases the reference count of `object` by 1; if the reference count reaches 0, the resources allocated by `object` will be freed.

This function is not directly available to language bindings.

#### Parameters

`object`

  Type: `void*`

  A `CoglObject`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.